Xerces-C++ 3.1.3

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Attributes | List of all members
ValidationContext Class Reference
Inheritance diagram for ValidationContext:

## Public Member Functions

Virtual destructor for derived classes
virtual | ~ValidationContext ()
| virtual destructor
The ValidationContext Interface
virtual RefHashTableOf < XMLRefInfo > * | getIdRefList () const =0
| IDRefList.
virtual void | setIdRefList (RefHashTableOf< XMLRefInfo > *const)=0
virtual void | clearIdRefList ()=0
virtual void | addId (const XMLCh *const )=0
virtual void | addIdRef (const XMLCh *const )=0
virtual void | toCheckIdRefList (bool)=0
virtual const NameIdPool < DTDEntityDecl > * | getEntityDeclPool () const =0
| EntityDeclPool.
virtual const NameIdPool < DTDEntityDecl > * | setEntityDeclPool (const NameIdPool< DTDEntityDecl > *const)=0
virtual void | checkEntity (const XMLCh *const ) const =0
virtual DatatypeValidator * | getValidatingMemberType () const =0
| Union datatype handling.
virtual void | setValidatingMemberType (DatatypeValidator *validatingMemberType)=0
virtual bool | isPrefixUnknown (XMLCh *)
| QName datatype handling Create default implementations for source code compatibility.
virtual void | setElemStack (ElemStack *)
virtual const XMLCh * | getURIForPrefix (XMLCh *)
virtual void | setScanner (XMLScanner *)
virtual void | setNamespaceScope (NamespaceScope *)
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## Protected Member Functions

| ValidationContext (MemoryManager *const memMgr=XMLPlatformUtils::fgMemoryManager)
| Hidden Constructors.
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Protected Attributes

MemoryManager * | fMemoryManager

## Constructor & Destructor Documentation

virtual ValidationContext::~ValidationContext | ( |  | ) |

virtual

virtual destructor

ValidationContext::ValidationContext | ( | MemoryManager *const | memMgr = `XMLPlatformUtils::fgMemoryManager` | ) |

protected

Hidden Constructors.

## Member Function Documentation

virtual void ValidationContext::addId | ( | const XMLCh * | const | ) |

pure virtual

virtual void ValidationContext::addIdRef | ( | const XMLCh * | const | ) |

pure virtual

virtual void ValidationContext::checkEntity | ( | const XMLCh * | const | ) | const

pure virtual

virtual void ValidationContext::clearIdRefList | ( |  | ) |

pure virtual

virtual const NameIdPool<DTDEntityDecl>* ValidationContext::getEntityDeclPool | ( |  | ) | const

pure virtual

EntityDeclPool.

virtual RefHashTableOf<XMLRefInfo>* ValidationContext::getIdRefList | ( |  | ) | const

pure virtual

IDRefList.

virtual const XMLCh* ValidationContext::getURIForPrefix | ( | XMLCh * |  | ) |

virtual

virtual DatatypeValidator* ValidationContext::getValidatingMemberType | ( |  | ) | const

pure virtual

Union datatype handling.

virtual bool ValidationContext::isPrefixUnknown | ( | XMLCh * |  | ) |

virtual

QName datatype handling Create default implementations for source code compatibility.

virtual void ValidationContext::setElemStack | ( | ElemStack * |  | ) |

virtual

virtual const NameIdPool<DTDEntityDecl>* ValidationContext::setEntityDeclPool | ( | const NameIdPool< DTDEntityDecl > * | const | ) |

pure virtual

virtual void ValidationContext::setIdRefList | ( | RefHashTableOf< XMLRefInfo > * | const | ) |

pure virtual

virtual void ValidationContext::setNamespaceScope | ( | NamespaceScope * |  | ) |

virtual

virtual void ValidationContext::setScanner | ( | XMLScanner * |  | ) |

virtual

virtual void ValidationContext::setValidatingMemberType | ( | DatatypeValidator * | validatingMemberType | ) |

pure virtual

virtual void ValidationContext::toCheckIdRefList | ( | bool |  | ) |

pure virtual

## Member Data Documentation

MemoryManager* ValidationContext::fMemoryManager

protected

The documentation for this class was generated from the following file:

- ValidationContext.hpp